std::__detail::_CharMatcher< _InIterT, _TraitsT >(3)

NAME
std::__detail::_CharMatcher< _InIterT, _TraitsT > -

SYNOPSIS

  Public Types
typedef _TraitsT::char_type char_type

  Public Member Functions
_CharMatcher (char_type __c, const _TraitsT &__t=_TraitsT())
bool operator() (const _PatternCursor &__pc) const

  Public Attributes
char_type _M_c
const _TraitsT & _M_traits

Detailed Description

  template<typename _InIterT, typename _TraitsT>struct std::__detail::_CharMatcher< _InIterT, _TraitsT >
Matches a single character.

Definition at line 129 of file regex_nfa.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.